@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700;800&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

section{
    position: relative;
    min-height: 100vh;
    background: #edf7fa;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    transition: 0.5ms;
}

section.active{
    background-color: #faeded;
}

section .container{
    border-radius: 20px;
    position: relative;
    width: 800px;
    height: 500px;
    background: #fff;
    box-shadow: 0 15px 50px rgba(0, 0, 0, 0.1);
    overflow: hidden;
}

section .container .user{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
}

section .container .user .img{
    position: relative;
    width: 50%;
    height: 100%;
    transition: 0.5;
}

section .container .user .img img{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

section .container .user .form{
    position: relative;
    width: 50%;
    height: 100%;
    background-color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 40px;
    transition: 0.5s;
}

section .container .user .form h2{
    font-size: 18px;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 2px;
    text-align: center;
    width: 100%;
    margin-bottom: 15px;
    color: #54595F;
}

section .container .user .form input{
    width: 100%;
    padding: 10px 20px;
    background: #F9FAFC;
    border: 2px solid #ebebeb;
    border-radius: 7px;
    color: #54595F;
    outline: none;
    box-shadow: none;
    font-size: 12px;
    margin: 8px 0px;
    letter-spacing: 1px;
    font-weight: 300;
}


section .container .user .form input:hover{
    border-color: #a7a7a7;
}

section .container .user .form input:focus {
	outline: 0;
	border-color: #0F9EEF;
}

section .container .signup input:focus {
	outline: 0;
	border-color: #ff8585 !important;
}

section .container .user .form input[type="submit"]{
    max-width: 100px;
    background: #0F9EEF;
    color: #fff;
    cursor: pointer;
    font-size: 12px;
    font-weight: 500;
    letter-spacing: 1px;
    transition: 0.5s;
    border: none;
    margin-top: 15px;
}

section .container .user .form input[type="submit"]:hover{
    background: #2daaf2;
}

section .container .user.signup .form input[type="submit"]{
    background-color: #ff8585;
}

section .container .user.signup .form input[type="submit"]:hover{
    background-color: #ff9e9e;
}

section .container .user .form p{
    position: relative;
    margin-top: 20px;
    font-size: 10px;
    letter-spacing: 1px;
    color: #54595F;
    text-transform: uppercase;
    font-weight: 300;
}

section .container .user .form a{
    font-weight: 600;
    text-decoration: none;
    color: #0F9EEF;
}

section .container .signup{
    pointer-events: none;
}

section .container.active .signup{
    pointer-events: initial;
}

section .container .signup .form{
    top: 100%;
}

section .container.active .signup .form{
    top: 0;
}

section .container .signup .img{
    top: -100%;
    transition: 0.5s;
}

section .container.active .signup .img{
    top: 0;
}

section .container .signin .form{
    top: 0;
}

section .container.active .signin .form{
    top: 100%;
}

section .container .signin .img{
    top: 0;
    transition: 0.5s;
}

section .container.active .signin .img{
    top: -100%;
}

@media (max-width: 991px){
    section .container{
        width: 400px;
    }

    section .container .img{
        display: none;
    }
    
    section .container .user .form{
        width: 100%;
    }
}

.alert {
  width: 100%;
  border-width: 1px;
  margin-bottom: 5px;
  font-size: 14px;
}

.alert.alert-success {
  background-color: rgba(227, 253, 235, 1);
  border-color: rgba(38, 179, 3, 1);
  color: rgba(60, 118, 61, 1);
}

.alert.alert-info {
  background-color: rgba(217, 237, 247, 1);
  color: rgba(49, 112, 143, 1);
  border-color: rgba(126, 182, 193, 1);
}


.alert.alert-warning {
  background-color: rgba(252, 248, 227, 1);
  border-color: rgba(177, 161, 129, 1);
  color: rgba(138, 109, 59, 1);
}

.alert.alert-danger {
  background-color: rgba(248, 215, 218, 1);
  border-color: rgba(220, 53, 69, 1);
  color: rgba(114, 28, 36,1);
}